<html>
<head>
<title>VACACIONES PROGRAMADAS Y EJECUTADAS</title>
<link rel="stylesheet" type="text/css" href="../styles/Style.css">
<link type="text/css" rel="stylesheet" href="../src/css/jscal2.css" />
 <link type="text/css" rel="stylesheet" href="../src/css/border-radius.css" />
 <link id="skin-gold" title="Gold" type="text/css" href="../src/css/gold/gold.css" />
 <script language="JavaScript" type="text/javascript" src="ajax.js"></script>
 <script src="../src/js/jscal2.js"></script>
 <script src="../src/js/lang/es.js"></script>
<script language="JavaScript">
function cerrarVentana(){
window.close();
}
function SuspenderVaca(){
   //alert("hola mundo");
	var ugid = document.getElementById('ugid').value;
	var numid = document.getElementById('idfechavp').value;
	var msg =prompt('Nro de Carta de Reprogramación');
	//alert(numid);
		if(numid == ''){
			alert('Seleccione fecha programada');return;
		}
		if(msg == ''){
			alert('Registre documento');return;
		}
    window.location ="verdetvacaciones.php?ugid="+ugid+"&idfecha="+numid+"&msg="+msg+"&idt=sus";
	//window.opener.location.reload(); window.close();
}

function CargarFechasVaca(){
   //alert("hola mundo");

	var ugid = document.getElementById('ugid').value;
	var idv = document.getElementById('idfechavp').value;
	if(idv==''){
		alert('Seleccione Fecha a Modificar');return;
	}else{
	var fini = document.getElementById('fivp'+idv).value;
	var ffin = document.getElementById('ffvp'+idv).value;
	var per = document.getElementById('pvp'+idv).value;

	document.getElementById('idvmod').value = idv;
	document.getElementById('anno').value = per;
	document.getElementById('txtfini').value = fini;
	document.getElementById('txtffin').value = ffin;
  mostrar_vacaregistrado();
	mostrar_xfecha();
	}
}

function cargarDatos(){
	var ugid = document.getElementById('ugid').value;
	var idv = document.getElementById('idfechavp').value;
	if(idv==''){
		return;
	}else{
	var fini = document.getElementById('fivp'+idv).value;
	var ffin = document.getElementById('ffvp'+idv).value;
	var per = document.getElementById('pvp'+idv).value;

	document.getElementById('idvmod').value = idv;
	document.getElementById('anno').value = per;
	document.getElementById('txtfini').value = fini;
	document.getElementById('txtffin').value = ffin;
	}
}

function EliminarVaca(){
   //alert("hola mundo");
	var ugid = document.getElementById('ugid').value;
	var numid = document.getElementById('idfechavp').value;
	//alert(numid);
	if(numid == ''){
		alert('Seleccione fecha programada');return;
	}
    window.location ="verdetvacaciones.php?ugid="+ugid+"&idfecha="+numid+"&idt=del";
	//window.opener.location.reload(); window.close();
}

function mostrar_vacanuevo(){
	 var dat = document.getElementById('btn_add').value;
	 if(dat == 'Nuevo'){
    div1 = document.getElementById('div_regvaca');
    div1.style.display = '';
		document.getElementById('btn_add').value='Ocultar';
		document.getElementById('btn_upd').value='Modificar';
	 }
	 if(dat == 'Ocultar'){
    div1 = document.getElementById('div_regvaca');
    div1.style.display = 'none';
		document.getElementById('btn_add').value='Nuevo';
	 }
	 var f = new Date();
	 document.getElementById('pmsg').value ='';
	 document.getElementById('anno').value = f.getFullYear();
	 document.getElementById('mes').checked = false;
	 document.getElementById('fecha').checked = false;
	 document.getElementById('txtfini').value ='';
	 document.getElementById('txtffin').value ='';
	 document.getElementById('cbmes').value =f.getMonth() + 1;
	 document.getElementById('cbanno').value =f.getFullYear();
	 document.getElementById('idvmod').value = '';
	 ocultar_tipo();
}

function mostrar_vacaregistrado(){
	var dat = document.getElementById('btn_upd').value;
	if(dat == 'Modificar'){
	 div1 = document.getElementById('div_regvaca');
	 div1.style.display = '';
	 document.getElementById('btn_upd').value='NoModificar';
	 document.getElementById('mes').checked = false;
	 document.getElementById('fecha').checked = true;
	}
	if(dat == 'NoModificar'){
	 div1 = document.getElementById('div_regvaca');
	 div1.style.display = 'none';
	 document.getElementById('btn_upd').value='Modificar';
	 var f = new Date();
	 	document.getElementById('anno').value = f.getFullYear();
	 	document.getElementById('mes').checked = false;
	 	document.getElementById('fecha').checked = false;
	 	document.getElementById('txtfini').value ='';
	 	document.getElementById('txtffin').value ='';
	 	document.getElementById('cbmes').value =f.getMonth() + 1;
		document.getElementById('cbanno').value =f.getFullYear();
		document.getElementById('pmsg').value = ''
	}
}

function mostrar_xmes(){
    div1 = document.getElementById('divxmes');
    div1.style.display = '';

    div2 = document.getElementById('divxfecha');
    div2.style.display = 'none';
}

function mostrar_xfecha(){
    div1 = document.getElementById('divxfecha');
    div1.style.display = '';

    div2 = document.getElementById('divxmes');
    div2.style.display = 'none';
}

function ocultar_tipo(){
		div1 = document.getElementById('divxfecha');
		div1.style.display = 'none';
		div2 = document.getElementById('divxmes');
		div2.style.display = 'none';

}

function ocultar_form(){
	div3 = document.getElementById('div_regvaca');
	div3.style.display = 'none';
	ocultar_tipo();
}


</script>
</head>
<?php
require_once("../../../class/class.conectar.php");
require_once("../../../class/class.vacaciones.php");
require_once("../../../class/class.usudep.php");

$Objcon = new Conectar();
$conex = $Objcon->con();

$ugid=$_GET['ugid'];

echo "<input type='hidden' id='ugid' name='ugid' value='".$ugid."'>";

if(isset($_GET['idt'])){
    $tsave=$_GET['idt'];
}else{
	$tsave='';
}

if($tsave =='sus'){
$ugid = $_GET['ugid'];
$numid = $_GET['idfecha'];
$obs = $_GET['msg'];
$Objv = new Vacaciones();
$Objv->modificar_estado_vacaciones($conex,$numid, $ugid,0 ,2,$obs);
echo "<script type='text/javascript'>  actualizar_div_vaca(); </script>";
//echo "<script type='text/javascript'>window.opener.location.reload(); </script>";
}

if($tsave=='del'){
$ugid = $_GET['ugid'];
$numid = $_GET['idfecha'];
$Objv = new Vacaciones();
$Objv->eliminar_vacaciones($conex,$numid, $ugid);
echo "<script type='text/javascript'>actualizar_div_vaca(); </script>";
$error="SE ELIMINO CORRECTAMENTE";
//echo "<script type='text/javascript'>window.opener.location.reload(); </script>";
}

//restando fechas
function restaFechas($dFecIni, $dFecFin)
{
    //$dFecIni = str_replace("-","-",$dFecIni);
    $dFecIni = str_replace("/","-",$dFecIni);
    //$dFecFin = str_replace("-","-",$dFecFin);
    $dFecFin = str_replace("/","-",$dFecFin);

	  $dFecIni = date("Y-m-d", strtotime($dFecIni));
		$dFecFin = date("Y-m-d", strtotime($dFecFin));

		$diff = abs(strtotime($dFecFin) - strtotime($dFecIni));

		$years = floor($diff / (365*60*60*24));
    $months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
		$days = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));

		return $days;
}

function validar_registrar_vaca($ugid, $fechaini,$fechafin,$periodo,$numdias,$tipo,$idv){

	$Objcon = new Conectar();
	$conex = $Objcon->con();

	//calculando numero de dias registrados
	if($tipo==3){
					//buscando si existe interseccion fechas con dias registrados
					$Objvpp1 = new Vacaciones(); $Objvpp2 = new Vacaciones();
					$res_vp1 = array(); $res_vp2 = array();
					$res_vp1 = $Objvpp1->consultar_vacaciones_programadas_personal_sinidv($conex,$ugid, $fechaini,$idv);
					$res_vp2 = $Objvpp2->consultar_vacaciones_programadas_personal_sinidv($conex,$ugid, $fechafin,$idv);

					$Objvp = new Vacaciones();
			    $res_vp = array();
			    $res_vp=$Objvp->aks_vacaciones_sinidv($conex,$ugid,$periodo,0,$idv);
			    //$T_vac1=$res_vp[0]['numdias'];
					if(count($res_vp)>0){
						$numdias1 = $res_vp[0]['suma'];
				  }else{
						$numdias1 = 0;
				  }

			    //consulta de los numero de dias ejecutados en las vacaciones
			    $Objve = new Vacaciones();
			    $res_ve = array();
			    $res_ve=$Objve->aks_vacaciones_sinidv($conex,$ugid,$periodo,1,$idv);

					if(count($res_ve)>0){
						$numdias2 = $res_ve[0]['suma'];
				  }else{
						$numdias2 = 0;
				  }
	}else{
  				//buscando si existe interseccion fechas con dias registrados
				  $Objvpp1 = new Vacaciones(); $Objvpp2 = new Vacaciones();
				  $res_vp1 = array(); $res_vp2 = array();
				  $res_vp1 = $Objvpp1->consultar_vacaciones_programadas_personal($conex,$ugid, $fechaini);
				  $res_vp2 = $Objvpp2->consultar_vacaciones_programadas_personal($conex,$ugid, $fechafin);

			    //consulta de los numero de dias programados en las vacaciones
			    $Objvp = new Vacaciones();
			    $res_vp = array();
			    $res_vp=$Objvp->aks_vacaciones($conex,$ugid,$periodo,0);
			    //$T_vac1=$res_vp[0]['numdias'];
					if(count($res_vp)>0){
						$numdias1 = $res_vp[0]['suma'];
				  }else{
						$numdias1 = 0;
				  }

			    //consulta de los numero de dias ejecutados en las vacaciones
			    $Objve = new Vacaciones();
			    $res_ve = array();
			    $res_ve=$Objve->aks_vacaciones($conex,$ugid,$periodo,1);

					if(count($res_ve)>0){
						$numdias2 = $res_ve[0]['suma'];
				  }else{
						$numdias2 = 0;
				  }
 	}

  $numdiasT = $numdias1 + $numdias2;
  $numdiasT_T = $numdiasT + $numdias;

//echo $numdiasT_T;
  if($numdiasT_T >0 && $numdiasT_T < 31){
    if((count($res_vp1)==0) && (count($res_vp2)==0)){
            $id_vp1 = $Objvpp1->buscar_id_vacac($conex,$ugid);
                if($id_vp1==0){
                $numid = 1;
                }else{
                $numid = $id_vp1+1;
                }
						if($tipo==3){
							$Objvpp1->modificar_fechas_vacaciones($conex,$idv,$ugid, $fechaini,$fechafin,$numdias);
							$msg="SE MODIFICO CORRECTAMENTE";
						}else{
							$Objvpp1->insert_vaca_prog($conex,$numid,$ugid,$periodo,$fechaini,$fechafin,$numdias,'');
							$msg="SE GRABO CORRECTAMENTE";
						}
            echo "<script type='text/javascript'>actualizar_div_vaca(); </script>";

        }else{
            $msg = "CRUCE CON FECHAS REGISTRADAS";
            //echo "<script type='text/javascript'>alert('EXISTE CRUCE DE FECHAS');</script>";
        }
    }else{
        $msg="SE EXCEDE MAS DE 30 DIAS";
        //echo "<script type='text/javascript'>alert('SE EXCEDE MAS DE 30 DIAS');</script>";
    }
		return $msg;
}

if(isset($_GET['tvaca'])){
    $tvaca=$_GET['tvaca'];
  }else{
    $tvaca=0;
}

if($tvaca == 1){
  $periodo=$_GET['periodo'];
  $ugid = $_GET['ugid'];
  $fanno = $_GET['fanno'];
  $fmes = $_GET['fmes'];
		if($fmes<10){
			$fmes = "0".$fmes;
		}else{
			$fmes = $fmes;
		}
  $fechainia = "01-".$fmes."-".$fanno;
	$nuevafecha = strtotime ( '+29 day' , strtotime ( $fechainia ) ) ;
  $fechafina = date ( 'd-m-Y' , $nuevafecha );
  $diaini=substr($fechainia, 0, 2);
  $diafin=substr($fechafina, 0, 2);
  $mesini=substr($fechainia, 3, 2);
  $mesfin=substr($fechafina, 3, 2);
  $annoini=substr($fechainia, 6, 4);
  $annofin=substr($fechafina, 6, 4);
  $fechaini =$annoini.'/'.$mesini.'/'.$diaini;
  $fechafin =$annofin.'/'.$mesfin.'/'.$diafin;
	//echo $fechaini."<br>";
  $numdias = 30;
  $error = validar_registrar_vaca($ugid, $fechaini,$fechafin,$periodo,$numdias,$tvaca,0);
}

if($tvaca == 2){
    if(isset($_GET['fechaini']) && $_GET['fechaini']!=''){
    $fechainia=$_GET['fechaini'];
    $fechafina=$_GET['fechafin'];
    $periodo=$_GET['periodo'];
    $ugid = $_GET['ugid'];
    $diaini=substr($fechainia, 0, 2);
    $diafin=substr($fechafina, 0, 2);
    $mesini=substr($fechainia, 3, 2);
    $mesfin=substr($fechafina, 3, 2);
    $annoini=substr($fechainia, 6, 4);
    $annofin=substr($fechafina, 6, 4);
    $fechaini =$annoini.'/'.$mesini.'/'.$diaini;
    $fechafin =$annofin.'/'.$mesfin.'/'.$diafin;
    $numdias=restaFechas($fechainia,$fechafina);
    $numdias=$numdias+1;
    if(($diaini<=$diafin && $mesini==$mesfin && $annoini<=$annofin) || ($mesini<$mesfin && $annoini<=$annofin) || ($annoini<$annofin)){
      $error = validar_registrar_vaca($ugid, $fechaini,$fechafin,$periodo,$numdias,$tvaca,0);
      }else{
      $error="REVISAR LAS FECHAS INGRESADAS";
      //echo "<script type='text/javascript'>alert('REVISAR LAS FECHAS INGRESADAS');return;</script>";
      }
    }
}

if($tvaca == 3){
    if(isset($_GET['fechaini']) && $_GET['fechaini']!=''){
    $fechainia=$_GET['fechaini'];
    $fechafina=$_GET['fechafin'];
    $periodo=$_GET['periodo'];
    $ugid = $_GET['ugid'];
		$idv = $_GET['idv'];
    $diaini=substr($fechainia, 0, 2);
    $diafin=substr($fechafina, 0, 2);
    $mesini=substr($fechainia, 3, 2);
    $mesfin=substr($fechafina, 3, 2);
    $annoini=substr($fechainia, 6, 4);
    $annofin=substr($fechafina, 6, 4);
    $fechaini =$annoini.'/'.$mesini.'/'.$diaini;
    $fechafin =$annofin.'/'.$mesfin.'/'.$diafin;
    $numdias=restaFechas($fechainia,$fechafina);
    $numdias=$numdias+1;
    if(($diaini<=$diafin && $mesini==$mesfin && $annoini<=$annofin) || ($mesini<$mesfin && $annoini<=$annofin) || ($annoini<$annofin)){
      $error = validar_registrar_vaca($ugid, $fechaini,$fechafin,$periodo,$numdias,$tvaca,$idv);
      }else{
      $error="REVISAR LAS FECHAS INGRESADAS";
      //echo "<script type='text/javascript'>alert('REVISAR LAS FECHAS INGRESADAS');return;</script>";
      }
    }
}

//seleecionado vacaciones programadas
$Objvp = new Vacaciones();
$res_vp =array();
$res_vp = $Objvp->consultar_vacaciones_personal($conex,$ugid,0);
$linea_vaca = '';
$cadenavp="<select size='4' style='width:25em;' id='idfechavp' onClick='cargarDatos();'>";
for ($i=0;$i<count($res_vp);$i++){
$codigo=$res_vp[$i]['id'];
$linea_vaca=$linea_vaca."<input type='hidden' id='pvp".$codigo."' value='".$res_vp[$i]['periodo']."'><input type='hidden' id='fivp".$codigo."' value='".$res_vp[$i]['fini']."'><input type='hidden' id='ffvp".$codigo."' value='".$res_vp[$i]['ffin']."'>";
$dias=$res_vp[$i]['dias'].$res_vp[$i]['periodo'];
$cadenavp=$cadenavp."<option value='".$codigo."'>".$dias."</option>";
}
$cadenavp=$cadenavp."</select>";

//seleecionado vacaciones ejecutadas
$Objve = new Vacaciones();
$res_ve =array();
$res_ve = $Objve->consultar_vacaciones_personal($conex,$ugid,1);
$cadenave="<select size='4' style='width:25em;'>";
for ($i=0;$i<count($res_ve);$i++){
$codigo=$res_ve[$i]['id'];
$dias=$res_ve[$i]['dias'].$res_ve[$i]['periodo'];
$cadenave=$cadenave."<option value='".$codigo."'>".$dias."</option>";
}
$cadenave=$cadenave."</select>";

//seleecionado vacaciones suspendidas
$Objvs = new Vacaciones();
$res_vs =array();
$res_vs = $Objvs->consultar_vacaciones_personal($conex,$ugid,2);
$cadenavs="<select size='4' style='width:25em;' id='idfechasp' onClick='ver_observacion()'>";
for ($i=0;$i<count($res_vs);$i++){
$codigo=$res_vs[$i]['id'];
$dias=$res_vs[$i]['dias'].$res_vs[$i]['periodo'];
$cadenavs=$cadenavs."<option value='".$codigo."'>".$dias."</option>";
}
$cadenavs=$cadenavs."</select>";

//seleccionando al personal
$Objp = new UsuarioDependencia();
$res_p = array();
$res_p = $Objp->buscar_cod_per($conex,$ugid);
$nombre = $res_p[0]['nombre'];
$fechaing = $res_p[0]['fingreso'];


//combo PERIODO
$panno = "<select name='anno' id='anno'>";
	for ($i=2010;$i<=2040;$i++){
		$panno = $panno."<option value='".$i."'";
			if(date("Y",time())==$i){
			$panno = $panno." selected ";
			$anno=$i;
			}
		$panno = $panno.">".$i."</option>";
	}
$panno = $panno."</select>";

//combo ANNO
$cbanno = "<select name='cbanno' id='cbanno'>";
	for ($i=2010;$i<=2040;$i++){
		$cbanno = $cbanno."<option value='".$i."'";
			if(date("Y",time())==$i){
			$cbanno = $cbanno." selected ";
			$anno=$i;
			}
		$cbanno = $cbanno.">".$i."</option>";
	}
$cbanno = $cbanno."</select>";

//combo MESES
$a_mes[1]='ENERO';
$a_mes[2]='FEBRERO';
$a_mes[3]='MARZO';
$a_mes[4]='ABRIL';
$a_mes[5]='MAYO';
$a_mes[6]='JUNIO';
$a_mes[7]='JULIO';
$a_mes[8]='AGOSTO';
$a_mes[9]='SETIEMBRE';
$a_mes[10]='OCTUBRE';
$a_mes[11]='NOVIEMBRE';
$a_mes[12]='DICIEMBRE';

$cbmes = "<select name='cbmes' id='cbmes'>";
	for ($i=1;$i<=12;$i++){
		$cbmes = $cbmes."<option value='".$i."'";
			if(date("n",time())==$i){
			$cbmes = $cbmes." selected ";
			}
		$cbmes = $cbmes." >".$a_mes[$i]."</option>";
	}
$cbmes = $cbmes."</select>";

?>
<body onload="ocultar_form();">
<br>
<table align='center' class='FacetFormTABLE'>
<tr><td  width="350" align='center' class='FacetFieldCaptionTDT'>PERSONAL ASISTENCIAL</td></tr>
<tr><td  align='center'><?php echo utf8_encode($nombre); ?></td></tr>
<tr><td  align='center' class='FacetFieldCaptionTDT'>FECHA DE INGRESO</td></tr>
<tr><td  align='center'><?php echo $fechaing; ?></td></tr>
<tr><td  align='center'></td></tr>
<tr><td align='center' class='FacetFieldCaptionTDT'>VACACIONES PROGRAMADAS</td></tr><tr><td align='center'><?php echo $cadenavp; echo $linea_vaca; ?></td></tr>
<tr><td align='center'>
		<input type='button' width="400" value='Nuevo' onClick='mostrar_vacanuevo()' id='btn_add'>
		<input type='button' width="400" value='Modificar' onClick='CargarFechasVaca()' id='btn_upd'>
		<input type='button' width="400" value='Suspender' onClick='SuspenderVaca()'>
		<input type='button' width="400" value='Eliminar' onClick='EliminarVaca()'>
	</td></tr>
<tr><td class='f2_error'><p id ='pmsg'><?php if(isset($error)){ echo $error; }?></p></td></tr>
<tr><td>
	<div id="div_regvaca">
		<table>
			<tr><td colspan="2" class='f2_titulo' width="350" align='center'>REGISTRAR NUEVO VACACIONES</td></tr>
		  <tr><td class ='f2_campo' width='100'>PERIODO</td><td><?php echo $panno; ?></td></tr>
			<tr><td class ='f2_mensaje' colspan="2">Seleccione Tipo:</td></tr>
			<tr><td colspan="2">
				<input type="radio" name="tvaca" id='mes' onClick='mostrar_xmes();'>
				<label for='mes' onClick='mostrar_xmes();'>POR MES</label>
				<input type="radio" name="tvaca" id='fecha' onClick='mostrar_xfecha();'>
				<label for='fecha' onClick='mostrar_xfecha();'>POR FECHA</label>
			</td></tr>
			<tr><td colspan="2">
								<div id="divxfecha">
								<table border="0">
								<tr><td class='f2_campo' width='100'>FECHA INICIO</td><td><input type='text' class='b2_input' id='txtfini' size='12' value=<?php if(isset($error)){if($error==2){ echo $fechainia;} }?>>
								<button id="calendar-trigger1" class='b2_input'><img src="../../img/bbb_calendar.png" ></button>
								<button id="f_clearRangeStart1" onclick="clearRangeStart1()" class='b2_input'><img src="../../img/bbb_limpiar.png" ></button>
								<script>
												Calendar.setup({
													trigger    : "calendar-trigger1",
													inputField : "txtfini",
													dateFormat : "%d/%m/%Y",
													onSelect   : function() { this.hide() }

												});
												function clearRangeStart1() {
						 						 document.getElementById("txtfini").value = "";
											 };
						    </script>
							</td></tr>
							<tr><td class='f2_campo'>FECHA FINAL</td><td><input type='text' class='b2_input' id='txtffin' size='12' value=<?php if(isset($error)){if($error==2){ echo $fechafina;} }?>>
				        <button id="calendar-trigger2" class='b2_input'><img src="../../img/bbb_calendar.png" ></button>
								<button id="f_clearRangeStart2" onclick="clearRangeStart2()" class='b2_input'><img src="../../img/bbb_limpiar.png" ></button>
								<script>
										Calendar.setup({
											trigger    : "calendar-trigger2",
											inputField : "txtffin",
											dateFormat : "%d/%m/%Y",
											onSelect   : function() { this.hide() }
											});

										 function clearRangeStart2() {
											 document.getElementById("txtffin").value = "";
										 };
									</script>
							</td></tr>
						</table>
						</div>
			</td></tr>
			<tr><td colspan="2">
						<div id="divxmes">
						<table border="0">
						<tr><td class='f2_campo' width='100'>AÑO</td><td><?php echo $cbanno; ?></td></tr>
						<tr><td class='f2_campo' width='100'>MES</td><td><?php echo $cbmes; ?></td></tr>
					  </table>
						</div>
		  </td></tr>
			<tr><td colspan="2" class='f2_boton'><input type='hidden' id='idvmod' val=''><input type='button' width="400" value='Grabar' onClick='GrabarVaca()' class='b2_boton'></td></tr>
		</table>
	</div>
</td></tr>
<tr><td align='center' class='FacetFieldCaptionTDT'>VACACIONES EJECUTADAS</td></tr>
<tr><td align='center'><?php echo $cadenave; ?></td></tr>
<tr><td align='center' class='FacetFieldCaptionTDT'>VACACIONES SUSPENDIDAS</td></tr>
<tr><td align='center'><?php echo $cadenavs; ?></td></tr>
<tr><td align='center'>
	<div id='divsusvaca'><input type="text" size="40" class="b2_input2" readonly="readonly" ></div>
</td></tr>
</table>
<table align='center'><tr><td width="350" align='center'><input type='button' value='     Cerrar     ' onClick='cerrarVentana()'></td></tr></table>
</body>
</html>
